
# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.
#
#	Copyright (c) 1984 AT&T
#	  All Rights Reserved  
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any   
#	actual or intended publication of such source code.
#ident "$Header: xsnoxs.sh 1.1 90/01/21 $@(#)xsnoxs.sv	1.1 89/12/01"
TMP=/tmp/xs$$
trap "rm -f $TMP" 0 1 2 3
for i
do
	FNAME=`dirname $i`/`basename $i .o`.m
	if [ ! -r $FNAME ]
	then
		echo $FNAME:
		nm -p $i > $TMP
		ed - $TMP << q
1,\$s/^.........//
g/^[a-z] /d
v/^U/s/./D/
1,\$s/^/\$ /
1i
\$quote "
\$set 1
\$ SYMBOL TABLE
.
w $FNAME
q
	else
		echo $FNAME already exists -- Ignored
	fi
done
